Bug 468018 - rt73usb never associates with AP
rt73usb never associates with AP
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-10-22 09:21 EDT by Bastien Nocera
Modified: 2008-12-12 13:35 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-12-12 13:35:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2008-10-22 09:21:07 EDT

Same symptoms as bug 437085. It's also a Belkin 54G dongle.

Bus 001 Device 004: ID 050d:705a Belkin Components F5D7050A Wireless Adapter

I made sure the rt2500usb driver (which claims the same USB ID) wasn't loaded.
Comment 1 John W. Linville 2008-10-22 11:12:00 EDT
Same symptoms == lockdep spew?  Or just the lack of an association?
Comment 2 Bastien Nocera 2008-10-22 11:28:29 EDT
The lack of association. Sorry for not being clear.
Comment 3 Bastien Nocera 2008-10-22 12:17:35 EDT
I just tested another device with the p54usb driver, and had the same problem associating to my AP. Scanning works as well, but unlike the rt73 device, I never had it working.

Could be a mac80211 problem?
Comment 4 John W. Linville 2008-10-23 13:54:59 EDT
Can you attach the contents of /var/log/message?
Comment 5 Bastien Nocera 2008-10-23 18:12:47 EDT
The only bits related to the device are:
Oct 22 12:47:54 cookie kernel: Registered led device: rt73usb-phy1:radio
Oct 22 12:47:54 cookie kernel: Registered led device: rt73usb-phy1:assoc
Oct 22 12:47:54 cookie kernel: Registered led device: rt73usb-phy1:quality
Oct 22 12:47:54 cookie kernel: usbcore: registered new interface driver rt73usb
Oct 22 12:48:48 cookie kernel: firmware: requesting rt73.bin

Nothing else I'm afraid.
Comment 6 John W. Linville 2008-10-24 10:36:08 EDT
Are you using NetworkManager?  I see no signs of an attempted association.
Comment 7 John W. Linville 2008-10-28 11:34:16 EDT
Also, what channel is your AP on?  You may need to configure a module option for non-US usage.
Comment 8 Bug Zapper 2008-11-25 23:07:10 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
Comment 9 John W. Linville 2008-12-12 13:35:46 EST
Closed due to lack of response...

Note You need to log in before you can comment on or make changes to this bug.